

#' Black Illiteracy Rates in 1910 US Census
#' 
#' This data set contains the proportion of the residents who are black, the
#' proportion of those who can read, the total population as well as the actual
#' black literacy rate and white literacy rate for 1040 counties in the US. The
#' dataset was originally analyzed by Robinson (1950) at the state level. King
#' (1997) recoded the 1910 census at county level. The data set only includes
#' those who are older than 10 years of age.
#' 
#' 
#' @name census
#' @docType data
#' @format A data frame containing 5 variables and 1040 observations
#' \tabular{lll}{ X \tab numeric \tab the proportion of Black residents in each
#' county\cr Y \tab numeric \tab the overall literacy rates in each county\cr N
#' \tab numeric \tab the total number of residents in each county \cr W1 \tab
#' numeric \tab the actual Black literacy rate \cr W2 \tab numeric \tab the
#' actual White literacy rate }
#' @references Robinson, W.S. (1950). ``Ecological Correlations and the
#' Behavior of Individuals.'' \emph{American Sociological Review}, vol. 15,
#' pp.351-357. \cr \cr King, G. (1997). \dQuote{A Solution to the Ecological
#' Inference Problem: Reconstructing Individual Behavior from Aggregate Data}.
#' Princeton University Press, Princeton, NJ.
#' @keywords datasets
NULL

