

#' Black voting rates for Wallace for President, 1968
#' 
#' This data set contains, on a county level, the proportion of county
#' residents who are Black and the proportion of presidential votes cast for
#' Wallace.  Demographic data is based on the 1960 census. Presidential returns
#' are from ICPSR study 13.  County data from 10 southern states (Alabama,
#' Arkansas, Georgia, Florida, Louisiana, Mississippi, North Carolina, South
#' Carolina, Tennessee, Texas) are included. (Virginia is excluded due to the
#' difficulty of matching counties between the datasets.)  This data is
#' analyzed in Wallace and Segal (1973).
#' 
#' 
#' @name wallace
#' @docType data
#' @format A data frame containing 3 variables and 1009 observations
#' \tabular{lll}{ 
#'    X \tab numeric \tab proportion of the population that is Black \cr 
#'    Y \tab numeric \tab proportion presidential votes cast for Wallace \cr 
#'    FIPS \tab numeric \tab the FIPS county code 
#'    }
#' @references Wasserman, Ira M. and David R. Segal (1973). ``Aggregation
#' Effects in the Ecological Study of Presidential Voting.'' American Journal
#' of Political Science. vol. 17, pp. 177-81.
#' @keywords datasets
NULL



